Package uk.ac.starlink.topcat.func

## Class TwoQZ

- java.lang.Object
- - uk.ac.starlink.topcat.func.TwoQZ

-     public class TwoQZ
      extends java.lang.Object

  Specialist functions for use with data from the the 2QZ survey. Spectral data are taken directly from the 2QZ web site at http://www.2dfquasar.org/.
  Since:
    3 Sep 2004
  Author:
    Mark Taylor (Starlink)

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `TWOQZ_FITS_IMAGE_BASE` | String prepended to the object NAME for the FITS postage stamp URL.
    `static java.lang.String` | `TWOQZ_FITS_IMAGE_TAIL` | String appended to the object NAME for the FITS postage stamp URL.
    `static java.lang.String` | `TWOQZ_JPEG_IMAGE_BASE` | String prepended to the object NAME for the JPEG postage stamp URL.
    `static java.lang.String` | `TWOQZ_JPEG_IMAGE_TAIL` | String appended to the object NAME for the JPEG postage stamp URL.
    `static java.lang.String` | `TWOQZ_SPEC_BASE` | String prepended to the object NAME for the FITS spectra file URL.
    `static java.lang.String` | `TWOQZ_SPEC_TAIL` | String appended to the object NAME for the FITS spectra file URL.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.lang.String` | `get2qzSubdir​(java.lang.String name)` | Returns the name of the subdirectory (such as "ra03_04") for a given 2QZ object name (ID).
    `static java.lang.String` | `image2QZ​(java.lang.String name)` | Displays the postage stamp FITS image for a 2QZ object in an image viewer.
    `static java.lang.String` | `jpeg2QZ​(java.lang.String name)` | Displays the postage stamp JPEG image for a 2QZ object in an external viewer.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TWOQZ_SPEC_BASE

          public static final java.lang.String TWOQZ_SPEC_BASE

      String prepended to the object NAME for the FITS spectra file URL.
      See Also:
        Constant Field Values

    - #### TWOQZ_SPEC_TAIL

          public static final java.lang.String TWOQZ_SPEC_TAIL

      String appended to the object NAME for the FITS spectra file URL.
      See Also:
        Constant Field Values

    - #### TWOQZ_FITS_IMAGE_BASE

          public static final java.lang.String TWOQZ_FITS_IMAGE_BASE

      String prepended to the object NAME for the FITS postage stamp URL.
      See Also:
        Constant Field Values

    - #### TWOQZ_FITS_IMAGE_TAIL

          public static final java.lang.String TWOQZ_FITS_IMAGE_TAIL

      String appended to the object NAME for the FITS postage stamp URL.
      See Also:
        Constant Field Values

    - #### TWOQZ_JPEG_IMAGE_BASE

          public static final java.lang.String TWOQZ_JPEG_IMAGE_BASE

      String prepended to the object NAME for the JPEG postage stamp URL.
      See Also:
        Constant Field Values

    - #### TWOQZ_JPEG_IMAGE_TAIL

          public static final java.lang.String TWOQZ_JPEG_IMAGE_TAIL

      String appended to the object NAME for the JPEG postage stamp URL.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### image2QZ

          public static java.lang.String image2QZ​(java.lang.String name)

      Displays the postage stamp FITS image for a 2QZ object in an image viewer.
      Parameters:
        `name` - object name (NAME column)
      Returns:
        short log message

    - #### jpeg2QZ

          public static java.lang.String jpeg2QZ​(java.lang.String name)

      Displays the postage stamp JPEG image for a 2QZ object in an external viewer.
      Parameters:
        `name` - object name (NAME column)
      Returns:
        short log message

    - #### get2qzSubdir

          public static java.lang.String get2qzSubdir​(java.lang.String name)

      Returns the name of the subdirectory (such as "ra03_04") for a given 2QZ object name (ID).
      Parameters:
        `name` - ID of object within the 2QZ catalogue (like J120437.7-021003)
      Returns:
        subdirectory name